Bug 137393 - [tsclient] translation and encoding issue
[tsclient] translation and encoding issue
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tsclient (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
David Lawrence
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 21:35 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 01:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tsclient in the zh_TW locale (291.92 KB, image/png)
2004-10-27 21:38 EDT, Lawrence Lim
no flags Details
tsclient in the ko_KR locale (286.41 KB, image/png)
2004-10-27 21:39 EDT, Lawrence Lim
no flags Details
tsclient in the ja_JP locale (287.07 KB, image/png)
2004-10-27 21:41 EDT, Lawrence Lim
no flags Details
tsclient in the zh_CN locale (294.52 KB, image/png)
2004-10-27 21:42 EDT, Lawrence Lim
no flags Details
tsclient in the es_ES locale (271.68 KB, image/png)
2004-10-27 21:47 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Lawrence Lim 2004-10-27 21:35:42 EDT
Description of problem:
It has been observed that tsclient has encoding issue in the zh_TW
locale and it is untranslated in the ja_JP and ko_KR locale. However,
in zh_CN locale, no such issue has been observed.

Please see attached screenshots for more information.

Version-Release number of selected component (if applicable):
tsclient-0.132-4

How reproducible:
Always

Steps to Reproduce:
1.LANG=zh_TW.UTF-8 tsclient
2.LANG=ja_JP.UTF-8 tsclient
3.LANG=ko_KR.UTF-8 tsclient
  
Actual results:
zh_TW: encoding issue
ja_JP/ko_KR: contents are not translated

Expected results:
localised into the respective locale

Additional info:
Comment 1 Lawrence Lim 2004-10-27 21:37:28 EDT
The following are the font packages installed on the machine.

ttfonts-ko-1.0.11-32.2
ttfonts-ta-1.6-1
ttfonts-zh_TW-2.11-28
ttfonts-ja-1.2-36
Comment 2 Lawrence Lim 2004-10-27 21:38:46 EDT
Created attachment 105878 [details]
tsclient in the zh_TW locale
Comment 3 Lawrence Lim 2004-10-27 21:39:41 EDT
Created attachment 105879 [details]
tsclient in the ko_KR locale
Comment 4 Lawrence Lim 2004-10-27 21:41:37 EDT
Created attachment 105880 [details]
tsclient in the ja_JP locale
Comment 5 Lawrence Lim 2004-10-27 21:42:35 EDT
Created attachment 105881 [details]
tsclient in the zh_CN locale
Comment 6 Lawrence Lim 2004-10-27 21:47:19 EDT
Created attachment 105882 [details]
tsclient in the es_ES locale

This bugs seems to affect european languages as well. If you observed carefully
in this screenshots, you will notice some of the contents are not translated
and also some encoding issue as well.
Comment 7 Sarah Wang 2004-10-29 00:18:20 EDT
Do you know where we get the translation of tsclient? It's not done in
house, and has to be fixed upstream.

Sarah
Comment 8 Leon Ho 2005-01-17 16:23:41 EST
This utility is not install by default on any group and it has not
been updated for a while so I recommend to just remove zh_TW.po from
the source.
Comment 9 Wei-Lun Chao 2005-05-25 11:53:56 EDT
same reason with Bug 122667
and there is already tsclient-140 at:
http://www.gnomepro.com/tsclient/
Comment 10 Jens Petersen 2005-09-27 08:33:18 EDT
Any plans to update tsclient for fc5?
Comment 11 Matthias Clasen 2005-10-02 01:15:11 EDT
I assume the encoding issues are fixed in tsclient-0.140 ? 
That is in rawhide now. Please reopen if not.
Comment 12 Lawrence Lim 2005-10-02 20:03:19 EDT
Had a quick look, indic and korean translation are not included.

]# rpm -ql tsclient |grep mo
/usr/share/locale/ar/LC_MESSAGES/tsclient.mo
/usr/share/locale/ca/LC_MESSAGES/tsclient.mo
/usr/share/locale/da/LC_MESSAGES/tsclient.mo
/usr/share/locale/de/LC_MESSAGES/tsclient.mo
/usr/share/locale/es/LC_MESSAGES/tsclient.mo
/usr/share/locale/fi/LC_MESSAGES/tsclient.mo
/usr/share/locale/fr/LC_MESSAGES/tsclient.mo
/usr/share/locale/gr/LC_MESSAGES/tsclient.mo
/usr/share/locale/hu/LC_MESSAGES/tsclient.mo
/usr/share/locale/id/LC_MESSAGES/tsclient.mo
/usr/share/locale/it/LC_MESSAGES/tsclient.mo
/usr/share/locale/ja/LC_MESSAGES/tsclient.mo
/usr/share/locale/ms/LC_MESSAGES/tsclient.mo
/usr/share/locale/nl_NL/LC_MESSAGES/tsclient.mo
/usr/share/locale/no_nb/LC_MESSAGES/tsclient.mo
/usr/share/locale/pl_PL/LC_MESSAGES/tsclient.mo
/usr/share/locale/pt_BR/LC_MESSAGES/tsclient.mo
/usr/share/locale/pt_PT/LC_MESSAGES/tsclient.mo
/usr/share/locale/ru/LC_MESSAGES/tsclient.mo
/usr/share/locale/se/LC_MESSAGES/tsclient.mo
/usr/share/locale/xh/LC_MESSAGES/tsclient.mo
/usr/share/locale/zh_CN/LC_MESSAGES/tsclient.mo
/usr/share/locale/zh_TW/LC_MESSAGES/tsclient.mo
Comment 13 Lawrence Lim 2005-10-02 20:05:18 EDT
Encoding is fine, is there any plan to include the translation for indic and
korean languages?

Note You need to log in before you can comment on or make changes to this bug.